{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Activity list | meliana</title>
{% endblock meta %}

{% block content %}
{% include 'navbar.html' %}
<section id="list">
    <div class="card list-card">
            <h1 class="list-title">Activity List</h1>
            <a  href="{% url 'addactivity' %}">
            <button class="btn choose-button">Add Activity</button>
            </a>
            <div class="row the-list">
                {% for x in kegiatan %}
                <div class="col-lg-6 activity-list">
                    <div class="card activity-card">
                    <ul class="list-group">
                        <li class="list-group-item list-group-item-secondary"> <b> {{ x.nama_kegiatan }} </b> </li>

                        {% for y in orang %}
                        {% if y.kegiatan == x %}
                        <li class="list-group-item">
                            <div class="d-flex justify-content-between">
                                {{ y.nama_orang }}
                                <a href="{% url 'delete' delete_id=y.pk %}">
                                <button class="btn btn-icon btn-danger">x</button>
                                </a>

                            </div>
                        </li>
                        {% endif %}
                        {% endfor %}
                    </ul>

                    <div class="register-button">
                        <a href="{%url 'register' task_id=x.pk%}" class="btnMatkul">
                            <button class="btn the-register-button">Register Yourself!</button>
                        </a>
                    </div>
                </div>
                </div>
                {% endfor %}
            </div>

        </div>
    </div>

</section>

{% endblock content %}
